Subject: Re: [CDNi] WG Chair review of draft-ietf-cdni-metadata-06.txt [Batch 3]

From: Ben Niven-Jenkins <[email-masked]>
Date: Mon, 28 Apr 2014 10:17:49 +0100

Francois,

Following up on this. I have made all the editorial changes you suggest below to the authors working copy of -07 so you should see them once we publish a new version.

Ben

On 11 Mar 2014, at 18:57, Francois Le Faucheur (flefauch) <[email-masked]> wrote:

> 
> 
> *** section 4, and Abstract:
> The word “core” appears twice in the whole document.
> Abstract: "This document describes both the core set of CDNI metadata and
>   the protocol for exchanging that metadata.”
> Section 4: "Section 4.2 provides the definitions for the set of core metadata
>   objects which may be contained within a GenericMetadata object.”
> I think what it is meant to convey is “the set of essential CDNI metadata objects that are therefore defined in this document, but we expect that additional metadata objects may be defined in the future in separate documents.”
> 
> Perhaps it woudl be clearer if you’d say somethink like:
> Abstract: "This document describes both a base set of CDNI metadata and
>   the protocol for exchanging that metadata.”
> Section 4: "Section 4.2 provides the definitions for a base set of core metadata
>   objects which may be contained within a GenericMetadata object.”
> 
> I believe that somewhere below in the document, extensibility is discussed with the notion of how one might define additional objects. Please double check that, and in case it is not clear enough, you could add an explicit note to convey that "we expect that additional metadata objects may be defined in the future in separate documents.”
> 
> 
> *** section 4:
> “ as they define the semantics, enforcement options, and serialization rules for specific properties.”
> is "serialization rules” the right term here?
> 
> 
> *** section 4:
> "Property objects may be composed of or contain
>   references to other objects.  In those cases the value of the
>   property can be either an object of that type”
> This paragraph uses “property”, “property object” and “object”. If they refer to teh same thing, you should use a single term. If they mean something different, then you need to clarify that.
> 
> 
> *** section 4:
> "Note: In the following sections, the term "mandatory-to-specify" is
>   used to convey which objects or properties must be specified for a
>   given parent object or property.  When mandatory-to-specify is set to
>   true, it implies that if the parent object is specified, then the
>   defined object or property MUST also be specified, e.g., a HostMatch
>   object without a host to match against does not make sense,
>   therefore, the host is mandatory-to-specify inside a parent HostMatch
>   object.
> “
> I think the Note above uses the term “parent” in a different meaning than how it is defined in "3.3.  Metadata Inheritance and Override”, which made it difficult to understand at first read.
> In section 3.3, inheritance is across HostMetada and PathMetadata and PathMetadata etc.:
> "HostMetadata and PathMetadata objects form an
>   inheritance tree where each node in the tree inherits or overrides
>   the property values set by its parent.
> “
> So a HostMetadata may be a “parent” to a “PathMetadata"
> In the section 4 Note, “parent" is used  to mean a PathMatch that points to a PathMetadata. This is very different to me, because there is no “inheritance” and overrride in that case. It is just a pointer.
> My suggestion would be to not use the word “parent” in section 4 Note. Perhaps ypu could talk  about a “referring object “.
> 
> 
> *** Section 4.1 and 4.2:
> "4.1.  CDNI Metadata Structural Object Descriptions”
> "4.2.  CDNI Metadata Property Object Descriptions”
> I had a hard time working out from the titles waht was covered in each section.  
> Again the word property is used in one tittle and not the other. Also, combining 5 consecutive words leaves room for ambiguity (eg is it the object that is structural or the description).
> How about:
> “4.1.  Descriptions of the CDNI Structural Metadata Objects”
> "4.2.  Description of the CDNI Generic Metadata Objects”
> 
> 
> *** section 4.1:
> "  Each of the sub-sections below describe the structural objects defined in Table 2.”
> The PatternMatch object is actually not defined in Table2 nor in Figure 1. It looks like it was added afterwards. I think you need to extend Table 2 and Figure 1 to add that PatternMatch object.
> 
> 
> *** section 4.1.4:
> "The HostMatch object also contains a reference to Metadata objects”
> "Description: CDNI Metadata to apply when delivering content that matches this host.”
> So the overview text says the object “references” metadata, and the description says it “contains" metadata.
> I brought up that general point before about teh earlier sections. I assume it will also be addressed in all teh object description sections and won’t comment on this anymore.
> 
> _______________________________________________
> CDNi mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/cdni